/*

  Metal Touch Sensor Module (Digital)

  Parts required:
  - Arduino Board
  - Metal Touch Sensor Module
  - LED (Any color)
  - 220 Ohm Resistor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int digitalReadPin = 8;
int ledPin = 9;
int digitalReadValue;
int checkState = 0;
int bounceRemover = 200;

void setup() {
  pinMode(digitalReadPin, INPUT);                 // Set digitalReadPin as INPUT
  pinMode(ledPin, OUTPUT);                        // Set ledPin as OUTPUT
}

void loop() {

  digitalReadValue = digitalRead(digitalReadPin); // Read the value of digitalReadPin and store in digitalReadValue

  if (digitalReadValue == HIGH) {                 // Do until digitalReadValue = HIGH
    delay(bounceRemover);                         // Remove bounce from switch

    if (checkState == 0) {                        // If LED is off turn it ON
      digitalWrite(ledPin, HIGH);
      checkState = 1;
    }
    else {
      digitalWrite(ledPin, LOW);                  // If LED is ON turn it OFF
      checkState = 0;
    }
  }
}
